GETUTMP(3)

NAME
getutmp, getutmpx - copy utmp structure to utmpx, and vice versa

SYNOPSIS
#define _GNU_SOURCE             /* See feature_test_macros(7) */
#include <utmpx.h>
 void getutmp(const struct utmpx *ux, struct utmp *u);
 void getutmpx(const struct utmp *u, struct utmpx *ux);

DESCRIPTION
The getutmp() function copies the fields of the utmpx structure pointed to by ux to the corresponding fields of the utmp structure pointed to by u. The getutmpx() function performs the converse operation.

RETURN VALUE
These functions do not return a value.

VERSIONS
These functions first appeared in glibc in version 2.1.1.

CONFORMING TO
These functions are nonstandard, but appear on a few other systems, such as Solaris and NetBSD.

NOTES
These functions exist primarily for compatibility with other systems where the utmp and utmpx structures contain different fields, or the size of corresponding fields differs. On Linux, the two structures contain the same fields, and the fields have the same sizes.

SEE ALSO
getutent(3), utmp(5)

COLOPHON
This page is part of release 3.39 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.